Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[gelöst] lxsession scheitert am automake....
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German)
View previous topic :: View next topic  
Author Message
uhai
Veteran
Veteran


Joined: 23 Aug 2007
Posts: 1158
Location: Eppingen, Germany

PostPosted: Wed Mar 26, 2014 8:34 pm    Post subject: [gelöst] lxsession scheitert am automake.... Reply with quote

Hallo,

kaum ist das eine gelöst, komme ich mit dem nächsten :-)

Ich würde gerne lxde testen, aber emerge lxde-meta scheitert mit einem Fehler beim automake von lxsession:

Code:
ERROR: prepare
Failed Running automake !

Include in your bugreport the contents of:

  /var/tmp/portage/lxde-base/lxsession-0.4.9.2-r1/temp/automake-1.out
ERROR: lxde-base/lxsession-0.4.9.2-r1::gentoo failed (prepare phase):
  Failed Running automake !

Call stack:
    ebuild.sh, line   93:  Called src_prepare
  environment, line 2766:  Called eautoreconf
  environment, line  902:  Called eautomake
  environment, line  851:  Called autotools_run_tool 'automake' '--add-missing' '--copy' '--foreign' '--force-missing'
  environment, line  647:  Called die


Code:
 
[...]
* Running autoheader ... [ ok ]
 * Running automake --add-missing --copy --foreign --force-missing ... [ !! ]

 * Failed Running automake !
 *
 * Include in your bugreport the contents of:
 *
 *   /var/tmp/portage/lxde-base/lxsession-0.4.9.2-r1/temp/automake-1.out

 * ERROR: lxde-base/lxsession-0.4.9.2-r1::gentoo failed (prepare phase):
 *   Failed Running automake !
 *
 * Call stack:
 *     ebuild.sh, line   93:  Called src_prepare
 *   environment, line 2766:  Called eautoreconf
 *   environment, line  902:  Called eautomake
 *   environment, line  851:  Called autotools_run_tool 'automake' '--add-missing' '--copy' '--foreign' '--force-missing'
 *   environment, line  647:  Called die
 * The specific snippet of code:
 *           die "Failed Running $1 !";


Und das sagt automake:

Code:
***** automake *****
***** PWD: /var/tmp/portage/lxde-base/lxsession-0.4.9.2-r1/work/lxsession-0.4.9.2
***** automake --add-missing --copy --foreign --force-missing

automake-1.14: warnings are treated as errors
lxsession/Makefile.am:46: warning: source file '../lxsettings-daemon/settings-daemon.c' is in a subdirectory,
lxsession/Makefile.am:46: but option 'subdir-objects' is disabled
automake-1.14: warning: possible forward-incompatibility.
automake-1.14: At least a source file is in a subdirectory, but the 'subdir-objects'
automake-1.14: automake option hasn't been enabled.  For now, the corresponding output
automake-1.14: object file(s) will be placed in the top-level directory.  However,
automake-1.14: this behaviour will change in future Automake versions: they will
automake-1.14: unconditionally cause object files to be placed in the same subdirectory
automake-1.14: of the corresponding sources.
automake-1.14: You are advised to start using 'subdir-objects' option throughout your
automake-1.14: project, to avoid future incompatibilities.
lxsession/Makefile.am:46: warning: source file '../lxsettings-daemon/xevent.c' is in a subdirectory,
lxsession/Makefile.am:46: but option 'subdir-objects' is disabled
lxsession/Makefile.am:46: warning: source file '../lxsettings-daemon/xsettings-common.c' is in a subdirectory,
lxsession/Makefile.am:46: but option 'subdir-objects' is disabled
lxsession/Makefile.am:46: warning: source file '../lxsettings-daemon/xsettings-manager.c' is in a subdirectory,
lxsession/Makefile.am:46: but option 'subdir-objects' is disabled
lxsession/Makefile.am:46: warning: source file '../lxsettings-daemon/xutils.c' is in a subdirectory,
lxsession/Makefile.am:46: but option 'subdir-objects' is disabled
lxsession/Makefile.am:46: warning: source file '../xdg-autostart/xdg-autostart.c' is in a subdirectory,
lxsession/Makefile.am:46: but option 'subdir-objects' is disabled
lxsession/Makefile.am:4: warning: source file '../lxclipboard/clipboard.c' is in a subdirectory,
lxsession/Makefile.am:4: but option 'subdir-objects' is disabled
lxsession/Makefile.am:24: warning: source file '../lxpolkit/lxpolkit.c' is in a subdirectory,
lxsession/Makefile.am:24: but option 'subdir-objects' is disabled
lxsession/Makefile.am:24: warning: source file '../lxpolkit/lxpolkit-listener.c' is in a subdirectory,
lxsession/Makefile.am:24: but option 'subdir-objects' is disabled


Das sind doch "nur" warnings, kann das das scheitern verursachen?

Da ist emerge --info:

Code:
Portage 2.2.8-r1 (default/linux/amd64/13.0/desktop, gcc-4.7.3, glibc-2.17, 3.10.17-gentooy x86_64)=================================================================
System uname: Linux-3.10.17-gentooy-x86_64-AMD_Phenom-tm-_II_X4_945_Processor-with-gentoo-2.2
KiB Mem:    16435932 total,  14422820 free
KiB Swap:   17414456 total,  17414456 free
Timestamp of tree: Wed, 26 Mar 2014 17:15:01 +0000
ld GNU ld (GNU Binutils) 2.23.2
ccache version 3.1.9 [enabled]
app-shells/bash:          4.2_p45
dev-java/java-config:     2.2.0
dev-lang/python:          2.7.5-r3, 3.2.5-r3, 3.3.3
dev-util/ccache:          3.1.9-r3
dev-util/cmake:           2.8.12.2
dev-util/pkgconfig:       0.28
sys-apps/baselayout:      2.2
sys-apps/openrc:          0.12.4
sys-apps/sandbox:         2.6-r1
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.11.6, 1.12.6, 1.14.1
sys-devel/binutils:       2.23.2
sys-devel/gcc:            4.6.3, 4.7.3-r1
sys-devel/gcc-config:     1.7.3
sys-devel/libtool:        2.4.2
sys-devel/make:           3.82-r4
sys-kernel/linux-headers: 3.13 (virtual/os-headers)
sys-libs/glibc:           2.17
Repositories: gentoo kde x-overlay
Installed sets: @kde-4.12
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe -ggdb"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/lib64/fax /usr/share/config /usr/share/gnupg/qualified.txt /var/lib/hsqldb /var/spool/fax/etc"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf
/etc/gconf /etc/gentoo-release /etc/php/apache2-php5.5/ext-active/ /etc/php/cgi-php5.5/ext-active/ /etc/php/cli-php5.5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=native -O2 -pipe -ggdb"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs ccache config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms splitdebug strict unknown-features-warn unmerge-logs unmerge-orphans userpriv usersandbox usersync"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org/"
LANG="de_DE.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j5"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/kde /usr/local/portage/overlay"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="3dnow X a52 aac acl acpi akonadi alsa amd64 apache2 avi berkdb bluetooth branding bzip2 cairo cdda cddb cdr cli cracklib crypt cups cxx dbus dga divx dts dv dvd dvdr dvdread emboss encode exif fam fame ffmpeg firefox flac fortran gdbm
gif gphoto2 gpm gps gtk gudev iconv introspection ipv6 java java6 javascript jpeg jpeg2k lcms ldap libnotify lm_sensors mad midi mjpeg mmx mng modules mp3 mp4 mpeg msn ncurses networkmanager nls nptl nvidia ogg opengl openmp pam pango pcre
pda pdf phonon png policykit ppds python qt3support qt4 quicktime raw readline scanner sdl semantic-desktop session smp spell sql sse sse2 ssl startup-notification subtitles svg syslog systemd tcpd threads tiff timidity truetype udev udisks unicode upower usb v4l v4l2 vcd vorbis wavpack win32codecs wmf wxwidgets x264 xcb xine xml xpm xv xvid zlib" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache
filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="evdev wacom" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk
hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="de" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-5" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_3" RUBY_TARGETS="ruby19 ruby20" USERLAND="GNU" VIDEO_CARDS="nvidia" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON


uhai
_________________
Asus 4A785TD-M EVO mit AMD Phenom(tm) II X4 945
Dell Mini 10v
http://www.openstreetmap.org


Last edited by uhai on Sat Mar 29, 2014 11:29 am; edited 1 time in total
Back to top
View user's profile Send private message
Josef.95
Advocate
Advocate


Joined: 03 Sep 2007
Posts: 3626
Location: Germany

PostPosted: Wed Mar 26, 2014 9:42 pm    Post subject: Reply with quote

Hallo uhai.

deine stable =lxsession-0.4.9.2-r1 Version scheint noch nicht mit deiner testing automake-1.14.1 Version kompatibel zu sein.

Nimm entweder eine aktuellere lxsession Version, oder nutze eine aktuelle stable automake:1.13 Version
Siehe dazu auch im Bug 497100

Schalte automake Versionen aus dem Testingzweig am besten gar nicht erst frei, sofern nicht zwingend benötigt.
Back to top
View user's profile Send private message
uhai
Veteran
Veteran


Joined: 23 Aug 2007
Posts: 1158
Location: Eppingen, Germany

PostPosted: Thu Mar 27, 2014 5:43 am    Post subject: Reply with quote

Wenn ich die beiden letzten postings in diesem bug richtig lese, ist doch der Fehler in automake 1.14 "upstream" gefixt... Ich habe automake neu emerged (wieder 1.14) - der Fehler bleibt...

Habe ich den Text falsch gelesen?

Code:
tux uhai # eix automake
[I] sys-devel/automake
     Available versions:
     (1.4)  1.4_p6-r1
     (1.5)  1.5-r1
     (1.6)  1.6.3-r1
     (1.7)  1.7.9-r2
     (1.8)  1.8.5-r4
     (1.9)  1.9.6-r3
     (1.10) 1.10.3
     (1.11) 1.11.6
     (1.12) 1.12.6
     (1.13) (~)1.13.1 (~)1.13.2 (~)1.13.3 1.13.4
     (1.14) (~)1.14 (~)1.14.1
     (9999) **9999
     Installed versions:  1.11.6(1.11)(22:44:09 30.09.2013) 1.12.6(1.12)(05:39:52 22.08.2013) 1.14.1(1.14)(06:35:03 27.03.2014)
     Homepage:            http://www.gnu.org/software/automake/
     Description:         Used to generate Makefile.in from Makefile.am
[I] sys-devel/automake-wrapper
     Available versions:  3-r1 4 5 6 7 (~)8 9
     Installed versions:  9(20:28:54 29.09.2013)
     Homepage:            http://www.gentoo.org/
     Description:         wrapper for automake to manage multiple automake versions


Installiert sind hier also 3 Versionen von automake. Kann ich irgendwie manuell auswählen, welche er nutzt? eselect schient das nicht zu können...

uhai
_________________
Asus 4A785TD-M EVO mit AMD Phenom(tm) II X4 945
Dell Mini 10v
http://www.openstreetmap.org
Back to top
View user's profile Send private message
Josef.95
Advocate
Advocate


Joined: 03 Sep 2007
Posts: 3626
Location: Germany

PostPosted: Thu Mar 27, 2014 3:35 pm    Post subject: Reply with quote

uhai wrote:
Wenn ich die beiden letzten postings in diesem bug richtig lese, ist doch der Fehler in automake 1.14 "upstream" gefixt... Ich habe automake neu emerged (wieder 1.14) - der Fehler bleibt...

Hehe nein, der fix war für lxsession und ist im >=lxsession-0.4.9.2-r2 verfügbar.
Siehe zb auch im Changelog
/usr/portage/lxde-base/lxsession/ChangeLog wrote:
*lxsession-0.4.9.2-r2 (05 Jan 2014)

05 Jan 2014; Pavel Kazakov <xxxxxxxxxxxxx>
+files/lxsession-0.4.9.2-configure.patch, +lxsession-0.4.9.2-r2.ebuild:
Fix for bug #497100


uhai wrote:
[...] Installiert sind hier also 3 Versionen von automake. Kann ich irgendwie manuell auswählen, welche er nutzt? eselect schient das nicht zu können...

Du könntest die gewünschte automake Version beim emerge Kommando direkt mit angeben (wie im ersten Comment des Bugreports genannt).
Code:
WANT_AUTOMAKE="1.13" emerge --oneshot lxde-base/lxsession
Das kann aber nur funktionieren wenn die mitangegebene Version auch installiert ist.
Back to top
View user's profile Send private message
Christian99
Veteran
Veteran


Joined: 28 May 2009
Posts: 1176

PostPosted: Fri Mar 28, 2014 2:18 pm    Post subject: Reply with quote

Tja, ab und zu lernt man ja doch noch mal was neues: das mit WANT_AUTOMAKE kannte ich noch nicht, ist aber gelegentlich nützlich. Vielen Dank!
Back to top
View user's profile Send private message
Josef.95
Advocate
Advocate


Joined: 03 Sep 2007
Posts: 3626
Location: Germany

PostPosted: Sat Mar 29, 2014 9:53 am    Post subject: Reply with quote

Jo, gerngeschehen :)
Nähere Info gibt es dazu zb auch im http://devmanual.gentoo.org/general-concepts/autotools/
Nun bleibt nur noch abzuwarten was uhai draus gemacht hat :)
Back to top
View user's profile Send private message
uhai
Veteran
Veteran


Joined: 23 Aug 2007
Posts: 1158
Location: Eppingen, Germany

PostPosted: Sat Mar 29, 2014 11:29 am    Post subject: Reply with quote

Ja, prima, war mir auch neu und hat mit automake 1.12 auch sofort gepasst...

vielen Dank

uhai
_________________
Asus 4A785TD-M EVO mit AMD Phenom(tm) II X4 945
Dell Mini 10v
http://www.openstreetmap.org
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum